From 06ceb32329de4e89e4c65929ebea01d8c3f023f4 Mon Sep 17 00:00:00 2001
From: Jeff Walsh <fejfighter@gmail.com>
Date: Fri, 28 Jun 2024 21:19:09 +1000
Subject: [PATCH] * src/pgtkterm.c (pgtk_term_init): allocated dpyinfo as ambig
 root

---
 src/pgtkterm.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/src/pgtkterm.c b/src/pgtkterm.c
index 7ec0969a14b..81cec27e921 100644
--- a/src/pgtkterm.c
+++ b/src/pgtkterm.c
@@ -66,6 +66,10 @@ Copyright (C) 1989, 1993-1994, 2005-2006, 2008-2024 Free Software
 #include <gdk/gdkwayland.h>
 #endif
 
+#ifdef HAVE_MPS
+#include "igc.h"
+#endif
+
 #define FRAME_CR_CONTEXT(f)		((f)->output_data.pgtk->cr_context)
 #define FRAME_CR_ACTIVE_CONTEXT(f)	((f)->output_data.pgtk->cr_active)
 #define FRAME_CR_SURFACE(f)		(cairo_get_target (FRAME_CR_CONTEXT (f)))
@@ -7125,7 +7129,13 @@ #define NUM_ARGV 10
      that isn't supported.  */
   pgtk_display_x_warning (dpy);
 
+#ifdef HAVE_MPS
+  // FIXME/igc: use exact references
+  dpyinfo = igc_xzalloc_ambig (sizeof *dpyinfo);
+#else
   dpyinfo = xzalloc (sizeof *dpyinfo);
+#endif
+
   pgtk_initialize_display_info (dpyinfo);
   terminal = pgtk_create_terminal (dpyinfo);
 
-- 
2.45.2

